# Put variables for your installation that override defaults here

# PLEASE READ http://wiki.laptop.org/go/XS_Community_Edition/local_vars.yml
# SEE EXAMPLE http://download.iiab.io/6.3/rpi/local_vars.yml

# Original Idea: branch github.com/xsce/xsce-local for your deployment

# xsce_admin_user: xsce-admin

# Obtain a password hash with: python -c 'import crypt; print crypt.crypt("<plaintext>", "$6$<salt>")'
# xsce_admin_passw_hash:

xsce_hostname: box
xsce_domain: lan

xsce_home_url: /home
host_ssid: "Internet in a Box"
host_wifi_mode: g
host_channel: 6
hostapd_secure: False
hostapd_password: MYPASSWORD

xsce_gateway_enabled: False

# Enables "campus access" to kiwix (3000), kalite (8008) & calibre (8010) via server's WAN.
# See github.com/iiab/iiab/blob/master/roles/network/templates/gateway/xs-gen-iptables
services_externally_visible: True

dns_jail_enabled: False

# 3-BASE

squid_install: True
squid_enabled: False

dhcpd_install: True
dhcpd_enabled: False

dansguardian_install: True
dansguardian_enabled: False

wondershaper_install: False
wondershaper_enabled: False

# 4-server-options
authserver_install: False
authserver_enabled: False

# SECURITY WARNING: See http://wiki.laptop.org/go/XS_Community_Edition/Security
openvpn_install: True
openvpn_enabled: False
# The following seems necessary on CentOS:
# openvpn_cron_enabled: True
# If changing the above, remember to run "cd /opt/schoolserver/iiab; ./runtags openvpn"

samba_install: False
samba_enabled: False

postgresql_install: True
postgresql_enabled: False

# WARNING: Josh Dennis [April 2017] warns that CUPS printing can block Ansible
cups_install: True
cups_enabled: False

# 5-xoservices

# Change calibre_port from 8080 to 8010 below, if you enable idmgr !
idmgr_install: False
idmgr_enabled: False

xo_services_install: False
xo_services_enabled: False

ejabberd_install: False
ejabberd_enabled: False

# 6-generic-aps

# WARNING: both below WILL be ignored, per others apps needs!
mysql_install: True
mysql_enabled: False

phpmyadmin_install: False
phpmyadmin_enabled: False

elgg_install: True
elgg_enabled: False

owncloud_install: True
owncloud_enabled: True

wordpress_install: True
wordpress_enabled: True

dokuwiki_install: True
dokuwiki_enabled: False

# 7-edu-aps

# For OpenStreetMap.  Rename to {iiab_install, iiab_enabled} in future?
iiab_install: True
iiab_enabled: True

kiwix_serve_install: True
kiwix_serve_enabled: True

kalite_install: True
kalite_enabled: True
kalite_cron_enabled: True

# might stall MongoDB on Power Failure: https://github.com/xsce/xsce/issues/879
sugarizer_install: True
sugarizer_enabled: True

calibre_install: True
calibre_enabled: True
# Change calibre_port to 8010 if you're using XO laptops needing above idmgr !
calibre_port: 8080

moodle_install: True
moodle_enabled: False

pathagar_install: False
pathagar_enabled: False

# 8-mgmt-tools

schooltool_install: False
schooltool_enabled: False

debian_schooltool_install: False
debian_schooltool_enabled: False

sugar_stats_install: False
sugar_stats_enabled: False

ajenti_install: False
ajenti_enabled: False

munin_install: True
munin_enabled: True

monit_install: False
monit_enabled: False

xovis_install: False
xovis_enabled: False

teamviewer_install: False
teamviewer_enabled: False

vnstat_install: True
vnstat_enabled: True

awstats_install: True
awstats_enabled: True

activity-server_install: False
activity_server_enabled: False
